For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PlaygroundChangelogSign In
OverviewAPI ReferencePre-recorded STTStreaming STTVoice AgentsSpeech UnderstandingGuardrailsLLM GatewayFAQ
OverviewAPI ReferencePre-recorded STTStreaming STTVoice AgentsSpeech UnderstandingGuardrailsLLM GatewayFAQ
  • API Reference
    • Overview
      • POSTTranscribe audio
      • GETGet transcript
      • GETGet sentences in transcript
      • GETGet paragraphs in transcript
      • GETGet subtitles for transcript
      • GETGet redacted audio
      • GETSearch words in transcript
      • GETList transcripts
      • DELDelete transcript
LogoLogo
PlaygroundChangelogSign In
API ReferenceTranscripts

Get paragraphs in transcript

GET
https://api.assemblyai.com/v2/transcript/:transcript_id/paragraphs
GET
/v2/transcript/:transcript_id/paragraphs
$curl https://api.assemblyai.com/v2/transcript/transcript_id/paragraphs \
> -H "Authorization: <apiKey>"
1{
2 "id": "d5a3d302-066e-43fb-b63b-8f57baf185db",
3 "confidence": 0.9578730257009361,
4 "audio_duration": 281,
5 "paragraphs": [
6 {
7 "text": "Smoke from hundreds of wildfires in Canada is triggering air quality alerts throughout the US. Skylines from Maine to Maryland to Minnesota are gray and smoggy. And in some places, the air quality warnings include the warning to stay inside. We wanted to better understand what's happening here and why, so we called Peter Decarlo, an associate professor in the Department of Environmental Health and Engineering at Johns Hopkins University. Good morning, professor.",
8 "start": 250,
9 "end": 26950,
10 "confidence": 0.73033,
11 "words": [
12 {
13 "confidence": 0.73033,
14 "start": 250,
15 "end": 650,
16 "text": "Smoke",
17 "speaker": null
18 },
19 {
20 "confidence": 1,
21 "start": 730,
22 "end": 1022,
23 "text": "from",
24 "speaker": null
25 },
26 {
27 "confidence": 0.99992,
28 "start": 1076,
29 "end": 1466,
30 "text": "hundreds",
31 "speaker": null
32 },
33 {
34 "confidence": 1,
35 "start": 1498,
36 "end": 1646,
37 "text": "of",
38 "speaker": null
39 }
40 ]
41 },
42 {
43 "text": "Good morning. So what is it about the conditions right now that have caused this round of wildfires to affect so many people so far away? Well, there's a couple of things. The season has been pretty dry already, and then the fact that we're getting hit in the US. Is because there's a couple of weather systems that are essentially channeling the smoke from those Canadian wildfires through Pennsylvania into the Mid Atlantic and the Northeast and kind of just dropping the smoke there.",
44 "start": 27850,
45 "end": 56190,
46 "confidence": 0.99667,
47 "words": [
48 {
49 "confidence": 0.99667,
50 "start": 27850,
51 "end": 28262,
52 "text": "Good",
53 "speaker": null
54 },
55 {
56 "confidence": 0.99742,
57 "start": 28316,
58 "end": 28920,
59 "text": "morning.",
60 "speaker": null
61 },
62 {
63 "confidence": 0.94736,
64 "start": 29290,
65 "end": 29702,
66 "text": "So",
67 "speaker": null
68 }
69 ]
70 }
71 ]
72}
<llms-only> > For the complete documentation index, see [llms.txt](https://www.assemblyai.com/docs/llms.txt) </llms-only> <Note>To retrieve your transcriptions on our EU server, replace `api.assemblyai.com` with `api.eu.assemblyai.com`.</Note> Get the transcript split by paragraphs. The API will attempt to semantically segment your transcript into paragraphs to create more reader-friendly transcripts.
Was this page helpful?
Previous

Get subtitles for transcript

Next
Built with

To retrieve your transcriptions on our EU server, replace api.assemblyai.com with api.eu.assemblyai.com.
Get the transcript split by paragraphs. The API will attempt to semantically segment your transcript into paragraphs to create more reader-friendly transcripts.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

transcript_idstringRequired
ID of the transcript

Response

Exported paragraphs
idstringformat: "uuid"
The unique identifier of your transcript
confidencedouble0-1
The confidence score for the transcript
audio_durationdouble
The duration of the audio file in seconds
paragraphslist of objects
An array of paragraphs in the transcript

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error
504
Gateway Timeout Error